<script setup>
import { Head, useForm } from '@inertiajs/vue3';
import GuestLayout from "@/Layouts/GuestLayout.vue";
import BackMobile from "@/Components/Items/Auth/BackMobile.vue";
import {Link} from "@inertiajs/vue3";
import {computed, ref, onMounted} from "vue";
import { useNotification } from "@kyvg/vue3-notification";
import {UseAppStore} from '@/Stores/AppStore';
import { UseUserStore } from '@/Stores/UserStore';
import axios from 'axios';
import { Vue3SlideUpDown } from 'vue3-slide-up-down';
import BasketProfile from "@/Components/Items/Profile/BasketProfile.vue";
import SidebarProfile from "@/Components/Items/Profile/SidebarProfile.vue";

let appStore = UseAppStore();
let userStore = UseUserStore();
const notification = useNotification();


const props = defineProps({
    mustVerifyEmail: {
        type: Boolean,
    },
    status: {
        type: String,
    },
    user: {
        type: Object
    },
});

const isEdit = ref(false)

const form = useForm({
    nickname: props.user.nickname,
    name: props.user.name,
    email: props.user.email,
});

const labelTab = computed(() => isEdit.value === false ? 'Редактировать' : 'Сохранить' )

const toggleEdit = () => {
    isEdit.value = !isEdit.value;

    if(!isEdit.value){
        form.post(route('dashboard.profile.update'), {
            preserveScroll: true,
            onSuccess:() => {
                notification.notify({
                    title: 'Успех!',
                    text: 'Ваши данные успешно изменены!',
                    type: 'success'
                });

                axios.get(route('dashboard.profile.checkIsHaveNewEmail'))
                    .then((res) => {
                        if(res.data){
                            notification.notify({
                                title: 'Внимание!',
                                text: 'На ваш email пришла ссылка-подтверждение новой почты!',
                                type: 'warrning'
                            });
                        }
                    })

                axios.get(route('dashboard.notifications.getNumber'))
                    .then((res) => {
                        appStore.changeNumberNotifications(res.data);
                    });

                axios.get(route('notifications.get.header'))
                    .then((res) => {
                        appStore.changeHeaderNotifications(res.data);
                    });
            },
            onError: () => {
                notification.notify({
                    title: 'Ошибка!',
                    text: 'Что-то пошло не так, проверьте правильность написания email',
                    type: 'error',
                })
            }
        })
    }
};

let activeVclad = ref({
    first: false,
    second: false,
})

onMounted(() => {
    axios.get(route('dashboard.profile.getAvatar')).then((res) => {
        userStore.setNewAvatar(res.data);
    })
})
const toggleThemeSite = () => appStore.toggleThemeSite()
</script>
<template>
    <GuestLayout>
        <Head title="Профиль" />
        <section class="profile">
            <div class="container">
                <div class="profile__inner">
                    <SidebarProfile/>
                    <div class="profile__center">
                        <div class="profile__center-top">
                            <p class="profile__title">Профиль</p>
                            <div class="profile__top-right">
                                <Link method="post" class="profile__top-right--link" :href="route('logout')">
                                    <span class="profile__top-right--span">Выход</span>
                                    <svg width="21" height="22" viewbox="0 0 21 22" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path fill-rule="evenodd" clip-rule="evenodd" d="M1.79995 0.599609C0.916287 0.599609 0.199951 1.31596 0.199951 2.19961V19.7996C0.199951 20.6833 0.916303 21.3996 1.79995 21.3996H13.8C14.2417 21.3996 14.6 21.0414 14.6 20.5996C14.6 20.1578 14.2417 19.7996 13.8 19.7996H1.79995V2.19961H13.8C14.2417 2.19961 14.6 1.84143 14.6 1.39961C14.6 0.957785 14.2417 0.599609 13.8 0.599609H1.79995ZM17.1657 6.83393C16.8532 6.5215 16.3467 6.5215 16.0342 6.83393C15.7219 7.14635 15.7219 7.65287 16.0342 7.96529L18.2686 10.1996H7.39995C6.95813 10.1996 6.59995 10.5578 6.59995 10.9996C6.59995 11.4414 6.95813 11.7996 7.39995 11.7996H18.2686L16.0342 14.0339C15.7219 14.3463 15.7219 14.8529 16.0342 15.1654C16.3467 15.4777 16.8532 15.4777 17.1657 15.1654L20.7657 11.5653C21.078 11.2529 21.078 10.7463 20.7657 10.4339L17.1657 6.83393Z" fill="#FF5C00"></path>
                                    </svg>
                                </Link>
                                <a @click.prevent="toggleEdit()" class="profile__top-right--link edit active noMobile" href="">
                                    <span class="profile__top-right--span">{{ labelTab }}</span>
                                    <svg style="display: block" v-if="isEdit===false" width="21" height="15" viewbox="0 0 21 15" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path d="M2 6.71429L8.18182 13L19 2" stroke="#FF5C00" stroke-width="3" stroke-linecap="round" stroke-linejoin="round"></path>
                                    </svg>
                                    <svg style="display: block"  v-if="isEdit===true" width="17" height="18" viewbox="0 0 17 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path d="M1.74984 12.3616L5.47807 15.7044L13.386 6.89112L9.65724 3.54665L1.74984 12.3616ZM8.72291 7.63814L4.28297 12.5877C4.22717 12.6492 4.14973 12.6873 4.06661 12.6919C3.98348 12.697 3.90149 12.6679 3.84 12.6116L3.61965 12.4134C3.49097 12.2979 3.48015 12.0997 3.59574 11.971L8.03568 7.02151C8.09148 6.95945 8.16891 6.92187 8.25204 6.91731C8.33517 6.91276 8.41716 6.9418 8.47865 6.99703L8.69899 7.1946C8.82767 7.31075 8.83792 7.50889 8.72291 7.63814ZM10.0142 5.28493L10.234 5.48193C10.3638 5.59752 10.3741 5.79623 10.2585 5.9249L9.87246 6.35535C9.81553 6.41741 9.73866 6.45442 9.65553 6.45954C9.57241 6.4641 9.49099 6.43563 9.42892 6.37983L9.20858 6.18226C9.14709 6.12646 9.10951 6.04903 9.10382 5.96533C9.09926 5.8822 9.1283 5.80021 9.18467 5.73872L9.5707 5.30828C9.68685 5.1796 9.88556 5.16878 10.0142 5.28493ZM10.9332 2.12493L14.6609 5.46884L13.7453 6.48972L10.0182 3.14581L10.9332 2.12493ZM16.16 2.17333L14.0471 0.27733C13.6013 -0.122936 12.9163 -0.0853581 12.5166 0.360458L11.2708 1.74972L14.9991 5.09306L16.2448 3.70493C16.4362 3.49085 16.5369 3.20901 16.5193 2.92205C16.5033 2.63452 16.3741 2.36521 16.16 2.17333ZM14.9222 3.69981L12.6624 1.67342L13.3149 0.946908L15.5741 2.97272L14.9222 3.69981ZM0.0212364 17.3106C-0.0362699 17.5099 0.025222 17.7245 0.178952 17.8617C0.332681 18.0001 0.552458 18.0382 0.743766 17.9602L5.03055 16.2043L1.30346 12.8604L0.0212364 17.3106ZM3.81039 15.9925L2.12619 16.682L1.14119 15.7983L1.64508 14.0498L3.81039 15.9925Z" fill="#FF5C00"></path>
                                    </svg>
                                </a>
                            </div>
                        </div>
                        <div class="profile__center-bottom">
                            <div class="profile__center-column mr">
                                <img class="profile__center-img" :src="userStore.avatar" alt="">
                                <a class="button profile__changePhoto flex"
                                   href="" @click.prevent="() => appStore.toggleActiveModals('changeAvatar', true)" >Выбрать фото</a>
                                <Link class="button profile__changePass flex outline" :href="route('dashboard.profile.editPassword')">
                                    <p class="button__text">Сменить пароль</p>
                                </Link>
                            </div>
                            <div class="profile__center-column full">
                                <input :disabled="!isEdit"  class="profile__center-input" type="text" v-model="form.nickname">
                                <input :disabled="!isEdit"  class="profile__center-input" type="text" v-model="form.email">
                                <input :disabled="!isEdit"  class="profile__center-input" placeholder="Введите ваше имя" type="text" v-model="form.name">
                                <!-- <input :disabled="!isEdit" class="profile__center-input" type="text" value="+7 900 000 00 00">-->
                                <a @click.prevent="toggleEdit()"
                                   class="profile__top-right--link mobile inCenter edit" href="">
                                    <span class="profile__top-right--span">{{ labelTab }}</span>
                                    <svg v-if="isEdit===false" width="21" height="15" viewbox="0 0 21 15" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path d="M2 6.71429L8.18182 13L19 2" stroke="#FF5C00" stroke-width="3" stroke-linecap="round" stroke-linejoin="round"></path>
                                    </svg>
                                    <svg v-if="isEdit===true" width="17" height="18" viewbox="0 0 17 18" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path d="M1.74984 12.3616L5.47807 15.7044L13.386 6.89112L9.65724 3.54665L1.74984 12.3616ZM8.72291 7.63814L4.28297 12.5877C4.22717 12.6492 4.14973 12.6873 4.06661 12.6919C3.98348 12.697 3.90149 12.6679 3.84 12.6116L3.61965 12.4134C3.49097 12.2979 3.48015 12.0997 3.59574 11.971L8.03568 7.02151C8.09148 6.95945 8.16891 6.92187 8.25204 6.91731C8.33517 6.91276 8.41716 6.9418 8.47865 6.99703L8.69899 7.1946C8.82767 7.31075 8.83792 7.50889 8.72291 7.63814ZM10.0142 5.28493L10.234 5.48193C10.3638 5.59752 10.3741 5.79623 10.2585 5.9249L9.87246 6.35535C9.81553 6.41741 9.73866 6.45442 9.65553 6.45954C9.57241 6.4641 9.49099 6.43563 9.42892 6.37983L9.20858 6.18226C9.14709 6.12646 9.10951 6.04903 9.10382 5.96533C9.09926 5.8822 9.1283 5.80021 9.18467 5.73872L9.5707 5.30828C9.68685 5.1796 9.88556 5.16878 10.0142 5.28493ZM10.9332 2.12493L14.6609 5.46884L13.7453 6.48972L10.0182 3.14581L10.9332 2.12493ZM16.16 2.17333L14.0471 0.27733C13.6013 -0.122936 12.9163 -0.0853581 12.5166 0.360458L11.2708 1.74972L14.9991 5.09306L16.2448 3.70493C16.4362 3.49085 16.5369 3.20901 16.5193 2.92205C16.5033 2.63452 16.3741 2.36521 16.16 2.17333ZM14.9222 3.69981L12.6624 1.67342L13.3149 0.946908L15.5741 2.97272L14.9222 3.69981ZM0.0212364 17.3106C-0.0362699 17.5099 0.025222 17.7245 0.178952 17.8617C0.332681 18.0001 0.552458 18.0382 0.743766 17.9602L5.03055 16.2043L1.30346 12.8604L0.0212364 17.3106ZM3.81039 15.9925L2.12619 16.682L1.14119 15.7983L1.64508 14.0498L3.81039 15.9925Z" fill="#FF5C00"></path>
                                    </svg>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="profile__left mobile">
                        <hr class="profile__hr">
                        <a class="profile__left-title link" :href="route('support')">Поддержка</a>
                        <hr class="profile__hr">
                        <div class="profile__toggleTheme">
                            <p class="profile__left-title mr">Тема сайта</p>
                            <div @click="toggleThemeSite" class="profile__toggleTheme-toggle">
                                <div class="profile__toggleTheme-toggle--circle"></div>
                                <div class="profile__toggleTheme-toggle--background"></div>
                            </div>
                        </div>
                    </div>

                    <div class="profile__right">
                        <div class="profile__right-box">
                            <div class="profile__line down bigMB">
                                <p class="profile__miniText">Баланс: </p>
                                <p class="profile__money">0.0 <span class="profile__money-text">Руб.</span></p>
                            </div>
                            <hr class="profile__right-hr">
                            <div class="profile__box">
                                <div class="profile__line js-openClose-menu" :class="{active: activeVclad.first}" @click="activeVclad.first = !activeVclad.first">
                                    <p class="profile__box-item">Пополнить баланс</p>
                                    <div class="profile__line-openClose orange">
                                        <div class="profile__line-line"></div>
                                        <div class="profile__line-line"></div>
                                    </div>
                                </div>
                                <Vue3SlideUpDown class="profile__box-content" v-model="activeVclad.first">
<!--                                    <a class="profile__box-item" href="">123</a>-->
                                </Vue3SlideUpDown>
                            </div>
                            <hr class="profile__right-hr">
                            <div class="profile__box">
                                <div class="profile__line js-openClose-menu" :class="{active: activeVclad.second}" @click="activeVclad.second = !activeVclad.second">
                                    <p class="profile__box-item">Вывести средства</p>
                                    <div class="profile__line-openClose orange">
                                        <div class="profile__line-line"></div>
                                        <div class="profile__line-line"></div>
                                    </div>
                                </div>
                                <Vue3SlideUpDown class="profile__box-content" v-model="activeVclad.second">
                                    <a class="profile__box-item" href="">123</a>
                                </Vue3SlideUpDown>
                            </div>
                            <hr class="profile__right-hr">
                        </div>
                       <BasketProfile/>
                    </div>
                </div>
            </div>
        </section>
    </GuestLayout>
</template>

<!--<template>-->
<!--    <Head title="ProfileTRASH" />-->

<!--    <AuthenticatedLayout>-->
<!--        <template #header>-->
<!--            <h2 class="font-semibold text-xl text-gray-800 leading-tight">ProfileTRASH</h2>-->
<!--        </template>-->

<!--        <div class="py-12">-->
<!--            <div class="max-w-7xl mx-auto sm:px-6 lg:px-8 space-y-6">-->
<!--                <div class="p-4 sm:p-8 bg-white shadow sm:rounded-lg">-->
<!--                    <UpdateProfileInformationForm-->
<!--                        :must-verify-email="mustVerifyEmail"-->
<!--                        :status="status"-->
<!--                        class="max-w-xl"-->
<!--                    />-->
<!--                </div>-->

<!--                <div class="p-4 sm:p-8 bg-white shadow sm:rounded-lg">-->
<!--                    <UpdatePasswordForm class="max-w-xl" />-->
<!--                </div>-->

<!--                <div class="p-4 sm:p-8 bg-white shadow sm:rounded-lg">-->
<!--                    <DeleteUserForm class="max-w-xl" />-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->
<!--    </AuthenticatedLayout>-->
<!--</template>-->
